Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
ezimagecatalogue/admin/categoryedit.php File Reference

Go to the source code of this file.

## Functions
| changePermissions ( $objectID, $groups, $permission)
| getImagesAndCategories (&$folderArray, &$fileArray, $fromFolder)

## Variables
if(isset( $Action) && $Action=="New") if(isset( $Action) && $Action=="Edit") if(isset( $Cancel)) | $user =& eZUser::currentUser()
if(! $user) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZImageCatalogueMain", "Language" )
| $t
| $error = false
| $permissionCheck = true
| $nameCheck = true
| $descriptionCheck = true
if(isset( $Action) && $Action=="Insert"||isset( $Action) && $Action=="Update") if((isset( $Action) && $Action=="Insert"||isset( $Action) && $Action=="Update") && $error==false) if(isset( $Action) && $Action=="Delete" && $error==false) if(isset( $Action) && $Action=="New"|| $error) if(isset( $Action) && $Action=="Edit") | $sectionList =& eZSection::getAll()
| $groups = eZUserGroup::getAll()
foreach( $groups as $group) | $category = new eZImageCategory()
| $categoryList =& $category->getTree( )

## Function Documentation

## ◆ changePermissions()

changePermissions | ( |  | $objectID,
|  |  | $groups,
|  |  | $permission
| ) |  |

Definition at line 428 of file ezimagecatalogue/admin/categoryedit.php.

References $group, $groups, $permission, eZObjectPermission\removePermissions(), and eZObjectPermission\setPermission().

## ◆ getImagesAndCategories()

getImagesAndCategories | ( | & | $folderArray,
|  | & | $fileArray,
|  |  | $fromFolder
| ) |  |

Definition at line 446 of file ezimagecatalogue/admin/categoryedit.php.

References $files, and $result.

Referenced by getImagesAndCategores().

## Variable Documentation

## ◆ $category

foreach ($groups as $group) $category = new eZImageCategory()

Definition at line 383 of file ezimagecatalogue/admin/categoryedit.php.

## ◆ $categoryList

$categoryList =& $category->getTree( )

Definition at line 385 of file ezimagecatalogue/admin/categoryedit.php.

## ◆ $descriptionCheck

$descriptionCheck = true

Definition at line 122 of file ezimagecatalogue/admin/categoryedit.php.

## ◆ $error

$error = false

Definition at line 119 of file ezimagecatalogue/admin/categoryedit.php.

## ◆ $groups

$groups = eZUserGroup::getAll()

Definition at line 330 of file ezimagecatalogue/admin/categoryedit.php.

Referenced by changePermissions().

## ◆ $ini

if (! $user) $ini =& eZINI::instance( 'site.ini' )

Definition at line 78 of file ezimagecatalogue/admin/categoryedit.php.

## ◆ $Language

$Language = $ini->variable( "eZImageCatalogueMain", "Language" )

Definition at line 80 of file ezimagecatalogue/admin/categoryedit.php.

## ◆ $nameCheck

$nameCheck = true

Definition at line 121 of file ezimagecatalogue/admin/categoryedit.php.

## ◆ $permissionCheck

$permissionCheck = true

Definition at line 120 of file ezimagecatalogue/admin/categoryedit.php.

## ◆ $sectionList

if (isset($Action) &&$Action=="Insert"||isset($Action) &&$Action=="Update") if ((isset($Action) &&$Action=="Insert"||isset($Action) &&$Action=="Update") &&$error==false) if (isset($Action) &&$Action=="Delete" &&$error==false) if (isset($Action) &&$Action=="New"||$error) if (isset($Action) &&$Action=="Edit") $sectionList =& eZSection::getAll()

Definition at line 307 of file ezimagecatalogue/admin/categoryedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezimagecatalogue/admin/" . $ini->variable( "eZImageCatalogueMain", "AdminTemplateDir" ),
"kernel/ezimagecatalogue/admin/intl/", $Language, "categoryedit.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(! $user) $ini
Definition: ezimagecatalogue/admin/categoryedit.php:78
$Language
$Language
Definition: ezimagecatalogue/admin/categoryedit.php:80

Definition at line 82 of file ezimagecatalogue/admin/categoryedit.php.

## ◆ $user

if (isset($Action) &&$Action=="New") if (isset($Action) &&$Action=="Edit") if (isset($Cancel)) $user =& eZUser::currentUser()

Definition at line 70 of file ezimagecatalogue/admin/categoryedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.